View Issue Details

IDProjectCategoryView StatusLast Update
16875Bug reportsResponse browsingpublic2020-12-07 11:36
ReporterPPRI Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.25.2 
Fixed in Version3.25.2 
Summary16875: strong tag displayed in First and Last name column of Survey responses page
DescriptionWhen token table is initiated, there are strong tags displayed in First and Lsat name column of the Survey Reponses page.

I have checked this problem at Version 3.25.1(My server), 3.25.2(Limesurvey Cloud) and 4.3.28(Limesurvey Demo) and all show the same problem.
Steps To Reproduce1. Create a closed survey with a token table.
2. add a new token with First and Last name.
3. submit a new response
4. go to Survey Responses page in the Admin section.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.25.2+201131
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome
Database & DB-VersionMSSQL 12.00.6024
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.11

Activities

PPRI

PPRI

2020-12-03 18:54

reporter  

DenisChenu

DenisChenu

2020-12-04 08:26

developer   ~60836

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30767
DenisChenu

DenisChenu

2020-12-04 08:28

developer   ~60837

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30768
lime_release_bot

lime_release_bot

2020-12-07 11:36

administrator   ~60853

Fixed in Release 3.25.3+201208

Related Changesets

LimeSurvey: master 2da9daa1

2020-12-04 08:25:50

DenisChenu

Details Diff
Fixed issue 16875: strong tag displayed in First and Last name column of Survey responses page
Dev: moved to raw : tag must be removed at same time
Affected Issues
16875
mod - application/models/SurveyDynamic.php Diff File

LimeSurvey: 3.x-LTS 18628c10

2020-12-04 08:28:39

DenisChenu

Details Diff
Fixed issue 16875: strong tag displayed in First and Last name column of Survey responses page
Dev: move to raw, need to remove tag
Affected Issues
16875
mod - application/models/SurveyDynamic.php Diff File

Issue History

Date Modified Username Field Change
2020-12-03 18:54 PPRI New Issue
2020-12-03 18:54 PPRI File Added: Screenshot 2020-12-03 124536.png
2020-12-04 08:18 DenisChenu Assigned To => DenisChenu
2020-12-04 08:18 DenisChenu Status new => assigned
2020-12-04 08:26 DenisChenu Changeset attached => LimeSurvey master 2da9daa1
2020-12-04 08:26 DenisChenu Note Added: 60836
2020-12-04 08:26 DenisChenu Resolution open => fixed
2020-12-04 08:28 DenisChenu Changeset attached => LimeSurvey 3.x-LTS 18628c10
2020-12-04 08:28 DenisChenu Note Added: 60837
2020-12-04 08:29 DenisChenu Status assigned => resolved
2020-12-04 08:29 DenisChenu Fixed in Version => 3.25.2
2020-12-07 11:36 lime_release_bot Note Added: 60853
2020-12-07 11:36 lime_release_bot Status resolved => closed